Bug 859571 - LXDE does not exit within an Xephyr server
LXDE does not exit within an Xephyr server
Status: CLOSED DUPLICATE of bug 758364
Product: Fedora
Classification: Fedora
Component: lxsession (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 20:12 EDT by Enrique
Modified: 2012-09-22 07:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 758364
Environment:
Last Closed: 2012-09-22 05:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrique 2012-09-21 20:12:12 EDT
+++ This bug was initially created as a clone of Bug #758364 +++

Description of problem:

 I tried LXDE within an Xephyr server, and when I click on logout nothing happens. That prevents me from running other window manager within the same Xephyr session as I wished.


Version-Release number of selected component (if applicable):

lxsession.x86_64 0:0.4.5-3.fc15
openbox.x86_64 0:3.4.11.2-8.fc15
lxde-common.noarch 0:0.5.5-0.3.20110328git87c368d7.fc15


How reproducible:
Always

Steps to Reproduce:
1.Run Xephyr:
   Xephyr :4 &
2. Run LXDE:
   export DISPLAY=:4            
   lxsession
3. Try to log out using the logout menu.
  
Actual results:

 Nothing happens


Expected results:

 I expect the LXDE session to exit.

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 11:50:41 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Enrique 2012-09-21 20:15:12 EDT
 This is still present in F17 using the following packages:
lxsession-0.4.6.1-3.fc17.i686
openbox-3.5.0-6.fc17.i686
Comment 2 Christoph Wickert 2012-09-22 05:17:19 EDT
Please reopen the old bug 758364 instead of filing a new one.

*** This bug has been marked as a duplicate of bug 758364 ***
Comment 3 Enrique 2012-09-22 07:22:03 EDT
 Thank you,

 I just followed the instructions of the comment "Fedora End of Life":
"If you would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora."

 So now it is not clear to me what to do in these cases, reopen the bug or clone it? It the policy is to reopen then the message is clearly wrong.

 Regards,
 Enrique

Note You need to log in before you can comment on or make changes to this bug.